Have opinions about JavaScript? We want to hear them. Take the 2018 JavaScript Ecosystem Survey »

express-sns-validator

1.0.0 • Public • Published

express-sns-validator

Build Status

ExpressJS middleware for verifying Amazon SNS notifications using sns-validator (no dependency on the AWS SDK).

Requirements

  • NodeJS 6.4+
  • ExpressJS 4+
  • body-parser 1.4+

Installation

npm install --save express-sns-validator

Usage

Add to the route handler you will use to subscribe to Amazon SNS notifications. If the request does not validate, an HTTP 400 will be returned.

Note: you need body-parser to parse the JSON body from SNS.

const express = require('express')
const bodyParser = require('body-parser')
const snsMiddleware = require('express-sns-validator')
 
const app = express()
 
app.use(bodyParser.json()) // required for express-sns-validator to work properly
 
app.post('/notifications/sns', snsMiddleware(), (req, res) => {
  // do stuff with req.body
});

License

MIT License

install

npm i express-sns-validator

Downloadsweekly downloads

24

version

1.0.0

license

MIT

homepage

github.com

repository

Gitgithub

last publish

collaborators

  • avatar
Report a vulnerability